import request from '@/utils/request'

// 查询无形资产摊销记录列表
export function listIntangibleassets(query) {
  return request({
    url: '/buyer/intangibleassets/list',
    method: 'get',
    params: query
  })
}

// 查询无形资产摊销记录详细
export function getIntangibleassets(id) {
  return request({
    url: '/buyer/intangibleassets/' + id,
    method: 'get'
  })
}

// 新增无形资产摊销记录
export function addIntangibleassets(data) {
  return request({
    url: '/buyer/intangibleassets',
    method: 'post',
    data: data
  })
}

// 修改无形资产摊销记录
export function updateIntangibleassets(data) {
  return request({
    url: '/buyer/intangibleassets',
    method: 'put',
    data: data
  })
}

// 删除无形资产摊销记录
export function delIntangibleassets(id) {
  return request({
    url: '/buyer/intangibleassets/' + id,
    method: 'delete'
  })
}

// 统计无形资产摊销记录列表
export function intangibleAssetsStatist(query) {
  return request({
    url: '/buyer/intangibleassets/statist',
    method: 'get',
    params: query
  })
}
